| Version: 3.2.5

Classes | Macros | Typedefs | Enumerations | Functions
log.h File Reference

## Classes

class | wxLogRecordInfo
| Information about a log record (unit of the log output). More...
class | wxLogFormatter
| wxLogFormatter class is used to format the log messages. More...
class | wxLog
| wxLog class defines the interface for the log targets used by wxWidgets logging functions as explained in the Logging Overview. More...
class | wxLogChain
| This simple class allows you to chain log sinks, that is to install a new sink but keep passing log messages to the old one instead of replacing it completely as wxLog::SetActiveTarget does. More...
class | wxLogInterposer
| A special version of wxLogChain which uses itself as the new log target. More...
class | wxLogInterposerTemp
| Legacy class which should not be used any longer. More...
class | wxLogStream
| This class can be used to redirect the log messages to a C++ stream. More...
class | wxLogStderr
| This class can be used to redirect the log messages to a C file stream (not to be confused with C++ streams). More...
class | wxLogBuffer
| wxLogBuffer is a very simple implementation of log sink which simply collects all the logged messages in a string (except the debug messages which are output in the usual way immediately as we're presumably not interested in collecting them for later). More...
class | wxLogNull
| This class allows you to temporarily suspend logging. More...
class | wxLogWindow
| This class represents a background log window: to be precise, it collects all log messages in the log frame which it manages but also passes them on to the log target which was active at the moment of its creation. More...
class | wxLogGui
| This is the default log target for the GUI wxWidgets applications. More...
class | wxLogTextCtrl
| Using these target all the log messages can be redirected to a text control. More...

## Macros

#define | wxDISABLE_DEBUG_LOGGING_IN_RELEASE_BUILD()
| Use this macro to disable logging at debug and trace levels in release build when not using wxIMPLEMENT_APP(). More...

## Typedefs

typedef unsigned long | wxLogLevel
| The type used to specify a log level. More...

## Enumerations

enum | wxLogLevelValues { wxLOG_FatalError , wxLOG_Error , wxLOG_Warning , wxLOG_Message , wxLOG_Status , wxLOG_Info , wxLOG_Debug , wxLOG_Trace , wxLOG_Progress , wxLOG_User = 100 , wxLOG_Max = 10000 }
| Different standard log levels (you may also define your own) used with by standard wxLog functions wxLogGeneric(), wxLogError(), wxLogWarning(), etc... More...

## Functions

bool | wxSafeShowMessage (const wxString &title, const wxString &text)
| This function shows a message to the user in a safe way and should be safe to call even before the application has been initialized or if it is currently in some other strange state (for example, about to crash). More...
unsigned long | wxSysErrorCode ()
| Returns the error code from the last system call. More...
wxString | wxSysErrorMsgStr (unsigned long errCode=0)
| Returns the error message corresponding to the given system error code. More...
const wxChar * | wxSysErrorMsg (unsigned long errCode=0)
| Returns the error message corresponding to the given system error code. More...
void | wxLogGeneric (wxLogLevel level, const char *formatString,...)
| Logs a message with the given wxLogLevel. More...
void | wxVLogGeneric (wxLogLevel level, const char *formatString, va_list argPtr)
void | wxLogMessage (const char *formatString,...)
| For all normal, informational messages. More...
void | wxVLogMessage (const char *formatString, va_list argPtr)
void | wxLogInfo (const char *formatString,...)
| For low priority messages. More...
void | wxVLogInfo (const char *formatString, va_list argPtr)
void | wxLogVerbose (const char *formatString,...)
| For verbose output. More...
void | wxVLogVerbose (const char *formatString, va_list argPtr)
void | wxLogWarning (const char *formatString,...)
| For warnings - they are also normally shown to the user, but don't interrupt the program work. More...
void | wxVLogWarning (const char *formatString, va_list argPtr)
void | wxLogFatalError (const char *formatString,...)
| Like wxLogError(), but also terminates the program with the exit code 3. More...
void | wxVLogFatalError (const char *formatString, va_list argPtr)
void | wxLogError (const char *formatString,...)
| The functions to use for error messages, i.e. More...
void | wxVLogError (const char *formatString, va_list argPtr)
void | wxLogTrace (const char *mask, const char *formatString,...)
| Log a message at `wxLOG_Trace` log level (see wxLogLevelValues enum). More...
void | wxVLogTrace (const char *mask, const char *formatString, va_list argPtr)
void | wxLogTrace (wxTraceMask mask, const char *formatString,...)
| Like wxLogDebug(), trace functions only do something in debug builds and expand to nothing in the release one. More...
void | wxVLogTrace (wxTraceMask mask, const char *formatString, va_list argPtr)
void | wxLogDebug (const char *formatString,...)
| The right functions for debug output. More...
void | wxVLogDebug (const char *formatString, va_list argPtr)
void | wxLogStatus (wxFrame *frame, const char *formatString,...)
| Messages logged by this function will appear in the statusbar of the frame or of the top level application window by default (i.e. More...
void | wxVLogStatus (wxFrame *frame, const char *formatString, va_list argPtr)
void | wxLogStatus (const char *formatString,...)
void | wxVLogStatus (const char *formatString, va_list argPtr)
void | wxLogSysError (const char *formatString,...)
| Mostly used by wxWidgets itself, but might be handy for logging errors after system call (API function) failure. More...
void | wxVLogSysError (const char *formatString, va_list argPtr)

## Typedef Documentation

## ◆ wxLogLevel

typedef unsigned long wxLogLevel

The type used to specify a log level.

Default values of wxLogLevel used by wxWidgets are contained in the wxLogLevelValues enumeration.

## Enumeration Type Documentation

## ◆ wxLogLevelValues

enum wxLogLevelValues

Different standard log levels (you may also define your own) used with by standard wxLog functions wxLogGeneric(), wxLogError(), wxLogWarning(), etc...

Enumerator
wxLOG_FatalError | program can't continue, abort immediately
wxLOG_Error | a serious error, user must be informed about it
wxLOG_Warning | user is normally informed about it but may be ignored
wxLOG_Message | normal message (i.e. normal output of a non GUI app)
wxLOG_Status | informational: might go to the status line of GUI app
wxLOG_Info | informational message (a.k.a. 'Verbose')
wxLOG_Debug | never shown to the user, disabled in release mode
wxLOG_Trace | trace messages are also only enabled in debug mode
wxLOG_Progress | used for progress indicator (not yet)
wxLOG_User | user defined levels start here
wxLOG_Max |